Bug 149061 - IDE hung on project reopen
IDE hung on project reopen
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant Freeform
6.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Milan Kubec
issues@projects
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 13:15 UTC by Alexander Simon
Modified: 2008-10-07 06:09 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (29.32 KB, text/plain)
2008-10-03 13:18 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2008-10-03 13:16:59 UTC
IDE hung on project reopen (close project from one repository, open same project from another repository).
Hang was once after repeating operations some times.
Comment 1 Alexander Simon 2008-10-03 13:18:15 UTC
Created attachment 71110 [details]
thread dump
Comment 2 Lukas Hasik 2008-10-03 13:28:04 UTC
seems that the AWT thread is waiting for "Versioning long tasks". 
Is it reproducible? Could you just "wait" a little bit more? Maybe the VCS operation takes a time?

anyway, reassigning to ant/freeform for evaluation
Comment 3 Alexander Simon 2008-10-03 13:49:08 UTC
I waited about 10 minutes and kill IDE.
Thread dump was not changed.
Note: normal reopen on my computer takes about 5 second.
Comment 4 Milan Kubec 2008-10-06 13:29:35 UTC
Fixed. Project metadata are read under PM.mutex.readAccess now.

http://hg.netbeans.org/core-main/rev/b70f8f4de457

Comment 5 Milan Kubec 2008-10-06 13:32:33 UTC
Actually setting to fixed.
Comment 6 Quality Engineering 2008-10-07 06:09:22 UTC
Integrated into 'main-golden', will be available in build *200810070201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b70f8f4de457
User: Milan Kubec <mkubec@netbeans.org>
Log: #149061: possible deadlock - project metadata should be read under PM.mutex.readAccess


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo